Commit a1914082 authored by Peter Palfrader's avatar Peter Palfrader
Browse files

Build-Depend on libssl-dev >= 0.9.8k-6.

libssl 0.9.8k-6 disabled autorenegotation, and the -dev package
introduced the SSL3_FLAGS_ALLOW_UNSAFE_LEGACY_RENEGOTIATION flag.

Since we now set that flag if available we want to make sure that it
*is* available when building.

Therefore build-depend on libssl-dev >= 0.9.8k-6.

If we build against earlier versions we will not work once libssl gets
upgraded to a version that disabled renegotiations.
parent a28b5628
......@@ -4,6 +4,9 @@ tor (0.2.2.5-alpha-1) experimental; urgency=low
* Pick 0a58567ce3418f410cf1dd0143dd3e56b4a4bd1f from master git tree:
- work with libssl that has renegotiation disabled by default.
(debian/patches/0a58567c-work-with-reneg-ssl.dpatch)
* Therefore build-depend on libssl-dev >= 0.9.8k-6. If we build against
earlier versions we will not work once libssl gets upgraded to a version
that disabled renegotiations.
-- Peter Palfrader <weasel@debian.org> Sun, 15 Nov 2009 10:38:36 +0100
......
......@@ -2,7 +2,7 @@ Source: tor
Section: comm
Priority: optional
Maintainer: Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 5), libssl-dev, dpatch, zlib1g-dev, libevent-dev (>= 1.1), texlive-base-bin, texlive-latex-base, texlive-fonts-recommended, transfig, ghostscript, binutils (>= 2.14.90.0.7)
Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.8k-6), dpatch, zlib1g-dev, libevent-dev (>= 1.1), texlive-base-bin, texlive-latex-base, texlive-fonts-recommended, transfig, ghostscript, binutils (>= 2.14.90.0.7)
Standards-Version: 3.8.1
Homepage: https://www.torproject.org/
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment